Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 55239 - warning message is not showing up if table creation is failed in java2db
warning message is not showing up if table creation is failed in java2db
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 8
4.x
All All
: P3 (vote)
: 5.x
Assigned To: Vince Kraemer
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-18 22:46 UTC by jielin
Modified: 2005-12-08 19:15 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jielin 2005-02-18 22:46:31 UTC
Create beans manually. set sun-ejb-jar.xml for
createtableatdeploy=true and droptableatundeploy=true.

Deploy is succesfull and no warning message even
if there is no table created because jndi name is
wrong. It should give waring message message.

Below is the message that appserver gives when
using CLI for deploy:

Command deploy executed successfully with
following warning messages:
JDO76611: Cannot connect to database via JNDI name
'jdo/pmf': java.sql.SQLException: This pool is not
registered with runtime environment.
Comment 1 Rochelle Raccah 2005-03-01 01:35:13 UTC
I spent some time discussing this with Vince.  The general problem is
that jsr88 doesn't provide the way for a vendor to show a warning. 
The deployment is either successful or unsuccessful.  If successful,
the warning message will be in the log, but the return from the server
is a successful deployment with no exception.  If unsuccessful, there
is an exception, but chances are most of the detail is still in the
log file anyway.

For a future release, we should allow another level of communication
that enables showing more detail in the output window.  I'll file a
separate enhancement for that.

For this release, the best solution would be to open the server log in
a non-fronted output window tab on deployment and execution to enable
the user to find the problem if there is one.  The user still may not
know that there is a problem during deployment time, but most of the
time, there will be an indication by the time execution is tried.

Recap: Proposed solution - open the server log in a non-fronted output
window tab on deployment and execution, add to docs that that new tab
is the location of troubleshooting messages.
Comment 2 Rochelle Raccah 2005-03-01 01:38:49 UTC
Issue 55643 has been filed to capture the enhancement request for a
future release.
Comment 3 Vince Kraemer 2005-09-28 23:26:27 UTC
I think this was fixed in 4.1 but has disappeared since then. The log file
doesn't seem to open anymore.  This may be related to issue 63907
Comment 4 Vince Kraemer 2005-12-08 19:15:52 UTC
http://serverplugins.netbeans.org/servlets/ReadMsg?list=cvs&msgNo=1128

added calls to open the log viewer as part of the deployment operations.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo